Bug 67614 - FILESAVE: Exporting as JPG or PNG exports only selected slide
Summary: FILESAVE: Exporting as JPG or PNG exports only selected slide
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: high enhancement
Assignee: Not Assigned
URL: https://extensions.libreoffice.org/en...
Whiteboard: BSA target:7.2.0
Keywords:
: 67942 81825 105359 109071 118804 130084 132401 (view as bug list)
Depends on:
Blocks: Presentation-Export Graphics-Export
  Show dependency treegraph
 
Reported: 2013-08-01 09:08 UTC by Zeki Bildirici
Modified: 2021-03-25 14:05 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2013-08-01 09:08:21 UTC
Problem description: 

While Exporting a presentation to JPG or PNG or other graphic formats, Impress only exports selected slide. 

In fact there is a selection checkbox in the export dialog but it doesn't work.

Ms Office has a good export dialog. First it asks to export current slide or every slide in the presentation, then if you select every slide it creates a new folder and exports slides into that folder and gives slide names number order.


Steps to reproduce:
1. Create a slide show including multiple slides
2. Click File - Export and select jpg or png as file type


Current behavior:
Exports only one slide

Expected behavior:
Export all slides, or selected range

              
Operating System: All
Version: 4.1.0.4 release
Comment 1 Tomaz Vajngerl 2013-08-01 11:47:01 UTC
Yes, this should be supported but we should think about how to actually do this. I think we should generally add "export as image" to the menu similar to how we already have "export as PDF". With this we can add a custom export dialog where we could first decide what to export with which parameters and then ask where to export and in what way.
Comment 2 Tomaz Vajngerl 2013-08-09 10:31:49 UTC
*** Bug 67942 has been marked as a duplicate of this bug. ***
Comment 3 raal 2014-12-28 20:40:35 UTC
*** Bug 81825 has been marked as a duplicate of this bug. ***
Comment 4 Zeki Bildirici 2015-02-09 14:50:53 UTC Comment hidden (obsolete)
Comment 5 Björn Michaelsen 2015-02-09 14:57:53 UTC
(In reply to Zeki Bildirici from comment #4)
> @Björn can this be an easyhack?

Only if you find a mentor. Please do so politely on the development channel, as doing this on bugzilla makes too much noise. UnCCing myself.
Comment 6 m.a.riosv 2017-07-12 12:08:56 UTC
*** Bug 109071 has been marked as a duplicate of this bug. ***
Comment 7 kurusux 2017-07-12 17:45:10 UTC
Can you please increase the priority on this? It's going on 4 years without any action and I think it's a pretty important function. I think people need to spend a little more time on this, instead of "A toolbar control to insert Emojis" that we got in the just released update.
Comment 8 Rebentisch 2018-01-02 12:17:15 UTC
It seems my bug #105359 is a duplicate. Along the fact that the file dialogue has a slide selection option that is not honoured, let me add a "use case", let me explain why I need the feature:

For external presentations I need high-fidelity slides. The easiest way to achieve that is to export slides as images and convert them back to pdf using imagemagick.

Ordinary PDF export does not cut it for me as I don't want to run ever again into font issues during presentations and I also do not like extractable, google-indexed text, esp. when the slide deck contains email addresses and I know that the organizers of the conference will put the slides on their web site. Furthermore, there are export fidelity bugs (or "missing features") that I work around by exporting to an image format and then manually putting them together as a pdf, namely the problem that textbackground is not exported (which I enjoy to use for presentations).

Right now I am forced to manually export each an every single slide to png. That is quite inconvenient.
Comment 9 Rebentisch 2018-01-02 17:58:46 UTC
*** Bug 105359 has been marked as a duplicate of this bug. ***
Comment 10 raal 2018-07-17 20:34:22 UTC
*** Bug 118804 has been marked as a duplicate of this bug. ***
Comment 11 Hadmut Danisch 2019-03-11 09:34:58 UTC Comment hidden (no-value)
Comment 12 xordevoreaux 2019-07-14 23:48:14 UTC
ILESAVE: Exporting as JPG or PNG exports only selected slide --

This has its usefulness as is. I may have 30 or 40 slides in a file and only want to export one of them, not all of them.

I agree that an option should exist for a multi-file output to export all slides, but don't take away the per-slide export functionality we have now.
Comment 13 Timur 2020-01-20 17:02:43 UTC
*** Bug 130084 has been marked as a duplicate of this bug. ***
Comment 14 xordevoreaux 2020-02-08 14:22:06 UTC
There is an old extension for LibreOffice that saves all slides at one time called "Export As Images 0.9.3"

Why not just roll that functionality into the product?
Comment 15 Timur 2020-04-24 08:38:30 UTC
For Comment 11 and Comment 14: LO is volunteer driven. Extension needs to be rewritten. Questions (as understandable as they are) are just a noise.
QA has some method of raising importance by a number of duplicates or CC list. I guess this should be High. But regardless until volunteer takes this.
Comment 16 V Stuart Foote 2020-04-25 18:30:09 UTC
*** Bug 132401 has been marked as a duplicate of this bug. ***
Comment 17 Joe 2020-04-25 19:02:55 UTC
The feature is in LibreOffice if you Export to HTML - It will export all the slides to JPG/PNG and put them in the folder. HOWEVER, the highest resolution they export to is 1024x768. 

***All I ask is that someone add another radio button to the HTML export menu to add 1920x1080 as a choice***

I can't imagine something like this would take terribly long to implement as you're simply running the same methods with bigger numbers.

It just seems like the export menu hasn't been touched in years and could use an update for this generation's display technology.
Comment 18 Andreas Heinisch 2021-03-24 12:25:06 UTC
Hi! I may add another button with the desired resolution. Any idea how to call it? Very High? Full HD? FHD?
Comment 19 xordevoreaux 2021-03-24 14:51:36 UTC
(In reply to Andreas Heinisch from comment #18)
> Hi! I may add another button with the desired resolution. Any idea how to
> call it? Very High? Full HD? FHD?



These are the names of the various resolutions according to http://wallpaperswide.com/:


Wide and ultra wide:

    16:10 960x600
    16:10 1152x720
    16:10 1280x800
    16:10 1440x900
    16:10 1680x1050
    16:10 1920x1200
    16:10 2560x1600
    16:10 2880x1800
    16:10 3840x2400
    16:10 5120x3200
    16:10 7680x4800
    5:3 800x480
    5:3 1280x768
    UW 21:9 2560x1080
    UW 21:9 3440x1440
    UW 21:9 5120x2160
    UW 24:10 3840x1600

HD & UHD:


    HD 16:9 960x540
    HD 16:9 1024x576
    HD 16:9 1280x720
    HD 16:9 1366x768
    HD 16:9 1600x900
    HD 16:9 1920x1080
    HD 16:9 2048x1152
    HD 16:9 2400x1350
    HD 16:9 2560x1440
    HD 16:9 2880x1620
    HD 16:9 3554x1999
    UHD 16:9 3840x2160
    UHD 16:9 5120x2880
    UHD 16:9 7680x4320


Standard:

    4:3 800x600
    4:3 1024x768
    4:3 1152x864
    4:3 1280x960
    4:3 1400x1050
    4:3 1440x1080
    4:3 1600x1200
    4:3 1680x1260
    4:3 1920x1440
    4:3 2048x1536
    4:3 2560x1920
    4:3 2800x2100
    4:3 3200x2400
    4:3 4096x3072
    4:3 6400x4800
    5:4 1280x1024
    5:4 2560x2048
    5:4 3750x3000
    5:4 5120x4096
    3:2 1152x768
    3:2 1440x960
    3:2 1920x1280
    3:2 2000x1333
    3:2 2160x1440
    3:2 2736x1824
    3:2 3000x2000

Mobile Ratio:

Smartphone 540x960
Smartphone 720x1280
Smartphone 1080x1920
Smartphone 1440x2560
Smartphone 320x480
Smartphone 640x960
Smartphone 768x1152
Smartphone 480x800
Smartphone 768x1280
Tablet 1024x1024
Tablet 1280x1280
Tablet 2048x2048
Tablet 2560x2560
Tablet 2732x2732
Tablet 3840x3840
VGA 4:3 240x320
VGA 4:3 480x640
VGA 4:3 600x800
VGA 4:3 320x240
VGA 4:3 640x480
VGA 4:3 800x600
WVGA 5:3 240x400
WVGA 5:3 480x800
WVGA 5:3 400x240
WVGA 5:3 800x480
HVGA 3:2 320x480
HVGA 3:2 640x960
HVGA 3:2 480x320
HVGA 3:2 960x640
WXGA 16:9 272x480
WXGA 16:9 360x640
WXGA 16:9 480x854
WXGA 16:9 480x272
WXGA 16:9 640x360
WXGA 16:9 854x480
XGA 5:4 176x220
XGA 5:4 220x176

Dual Monitor:

    16:10 1920x600
    16:10 2304x720
    16:10 2560x800
    16:10 2880x900
    16:10 3360x1050
    16:10 3840x1200
    16:10 5120x1600
    16:10 5600x1800
    16:10 7680x2400
    16:10 10240x3200
    16:10 15360x4800
    5:3 1600x480
    5:3 2560x768
    16:9 1920x540
    16:9 2048x576
    16:9 2560x720
    16:9 2732x768
    16:9 3200x900
    16:9 3840x1080
    16:9 4096x1152
    16:9 4800x1350
    16:9 5120x1440
    16:9 5760x1620
    16:9 7108x1999
    16:9 7680x2160
    16:9 10240x2880
    16:9 15360x4320
    4:3 1600x600
    4:3 2048x768
    4:3 2304x864
    4:3 2560x960
    4:3 2800x1050
    4:3 2880x1080
    4:3 3200x1200
    4:3 3360x1260
    4:3 3840x1440
    4:3 4096x1536
    4:3 5120x1920
    4:3 5600x2100
    4:3 6400x2400
    4:3 8192x3072
    4:3 12800x4800
    5:4 2560x1024
    5:4 5120x2048
    5:4 7500x3000
    5:4 10240x4096
    3:2 2304x768
    3:2 2880x960
    3:2 3840x1280
    3:2 4000x1333
    3:2 4320x1440
    3:2 5472x1824
    3:2 6000x2000

Triple Monitor:


    16:10 3840x800
    16:10 4320x900
    16:10 5040x1050
    16:10 5760x1200
    16:10 7680x1600
    16:10 8640x1800
    16:10 11520x2400
    16:10 15360x3200
    16:10 23040x4800
    5:3 2400x480
    5:3 3840x768
    16:9 3840x720
    16:9 4098x768
    16:9 4800x900
    16:9 5760x1080
    16:9 6144x1152
    16:9 7200x1350
    16:9 7680x1440
    16:9 8640x1620
    16:9 10662x1999
    16:9 11520x2160
    16:9 15360x2880
    16:9 23040x4320
    4:3 3072x768
    4:3 3456x864
    4:3 3840x960
    4:3 4200x1050
    4:3 4320x1080
    4:3 4800x1200
    4:3 5040x1260
    4:3 5760x1440
    4:3 6144x1536
    4:3 7680x1920
    4:3 8400x2100
    4:3 9600x2400
    4:3 12288x3072
    4:3 19200x4800
    5:4 3840x1024
    5:4 7680x2048
    5:4 11250x3000
    5:4 15360x4096
    3:2 3456x768
    3:2 4320x960
    3:2 5760x1280
    3:2 6000x1333
    3:2 6480x1440
    3:2 8208x1824
    3:2 9000x2000
Comment 20 Andreas Heinisch 2021-03-24 20:48:46 UTC
I added the FHD option to the HTML-Export-Wizard, but it is only a workaround. In the future the export wizard maybe dropped as proposed in https://bugs.documentfoundation.org/show_bug.cgi?id=105303.

However, there could be an option in the jpg and png export dialogue, where you can select the range of the exported slides, for instance, "All slides", "Slides (From To)" and "Selection" similar to the printer dialogue.
Comment 21 xordevoreaux 2021-03-25 08:47:12 UTC
(In reply to Andreas Heinisch from comment #20)
> I added the FHD option to the HTML-Export-Wizard, but it is only a
> workaround. In the future the export wizard maybe dropped as proposed in
> https://bugs.documentfoundation.org/show_bug.cgi?id=105303.
> 
> However, there could be an option in the jpg and png export dialogue, where
> you can select the range of the exported slides, for instance, "All slides",
> "Slides (From To)" and "Selection" similar to the printer dialogue.

Or for PNG and other graphical formats, something akin to this?

https://bugs.documentfoundation.org/show_bug.cgi?id=137007
Comment 22 Commit Notification 2021-03-25 14:05:50 UTC
Andreas Heinisch committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1bad47097694de957857c9c891bf79a4873a97c4

tdf#67614 - Added the FHD image resolution

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.